Update an SSH Key Group

View as Markdown

Update a specific SSH Key Group.

SSH Key Group must be owned by current Tenant. All Sites being added or removed must be online to proceed.

Org must have a Tenant entity. User must have authorization role with TENANT_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org
sshKeyGroupIdstringRequired
ID of the SSH Key Group

Request

This endpoint expects an object.
versionstringRequired
Version of the SSH Key Group being modified must be provided
namestring or nullOptional
Name of the SSHKeyGroup
descriptionstring or nullOptional
Description of the SSHKeyGroup
siteIdslist of stringsOptional
When specified, replaces existing Site associations
sshKeyIdslist of stringsOptional
When specified, replaces existing SSH Key associations

Response

OK
idstringOptionalRead-onlyformat: "uuid"
Unique identifier for the SSH Key Group
namestringOptional
Name of the SSH Key Group
descriptionstring or nullOptional
Description for the SSH Key Group, optional
orgstringOptional
Organization this SSH Key Group belongs to
tenantIdstringOptionalformat: "uuid"
ID of the Tenane the SSH Key Group belongs to
versionstring or nullOptional
Version of the SSH Key Group
sshKeyslist of objectsOptional
SSH Keys associated with this SSH Key Group
siteAssociationslist of objectsOptional
Sites the SSH Key Group is synced to
statusenumOptional
Status of the SSH Key Group
statusHistorylist of objectsOptional
History of the SSH Key Group states
createddatetimeOptionalRead-only

Date/time when the SSH key was created

updateddatetimeOptionalRead-only

Date/time when the SSH key was last updated

Errors

400
Bad Request Error
403
Forbidden Error